Last Comment Bug 806616 - Port |Bug 740854 - Remove SYSTEM_MAKEDEPEND and MOZ_NATIVE_MAKEDEPEND and associated crap| to comm-central
: Port |Bug 740854 - Remove SYSTEM_MAKEDEPEND and MOZ_NATIVE_MAKEDEPEND and ass...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 740854 807066
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 16:26 PDT by Ian Neal
Modified: 2012-11-10 01:42 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
remove MAKEDEPEND code [Checked in: Comment 2] (13.00 KB, patch)
2012-10-30 12:44 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal 2012-10-29 16:26:41 PDT
From bug 740854:
"All of our officially-supported platforms don't use mkdepend at all (GCC, VC++, probably clang). Even if we were going to use mkdepend, we have an in-tree copy, so it doesn't seem worth carrying around the baggage to handle system mkdepend for those few cases where someone might want to use it. catlee hit a build error related to this because he didn't have a system mkdepend installed, apparently."
Comment 1 Ian Neal 2012-10-30 12:44:59 PDT
Created attachment 676714 [details] [diff] [review]
remove MAKEDEPEND code [Checked in: Comment 2]
Comment 2 Ian Neal 2012-11-10 01:42:09 PST
Comment on attachment 676714 [details] [diff] [review]
remove MAKEDEPEND code [Checked in: Comment 2]

http://hg.mozilla.org/comm-central/rev/3bbc9e5f79a1

Note You need to log in before you can comment on or make changes to this bug.